%define lib_major 0

Name: libopenal
Version: 0.0.7
Release: alt2

Summary: Main library for OpenAL, a free 3D sound library
Group: Sound
URL: http://www.openal.org
License: LGPL

Source: openal-20040910.tar.bz2

Patch0: openal-build-patch0.diff.bz2
Patch1: openal-install-prefix-patch.diff.bz2

# Automatically added by buildreq on Tue Feb 04 2003
BuildRequires: XFree86-libs gcc-c++ libSDL-devel nasm libogg-devel libsmpeg-devel libvorbis-devel

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%package -n %name-devel
Summary: Headers for developing programs that will use OpenAL
Group: Development/C
Requires: %name = %version-%release

%description -n %name-devel
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%package -n %name-devel-static
Summary: Static library for developing programs that will use OpenAL
Group: Development/C
Requires: %name-devel = %version-%release

%description -n %name-devel-static
This package contains the static library that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%prep
%setup -q -n openal
%patch -p0
%patch1 -p0
# Fix CFLAGS
%define _optlevel 6
%add_optflags %optflags_kernel %optflags_fastmath

%build
cd linux
sh ./autogen.sh
%configure --enable-optimization \
    --enable-sdl \
    --enable-vorbis \
    --enable-smpeg \
    --enable-capture
#    --enable-arch-asm
#    --enable-alsa \ - temporary disabled
#    --enable-emu10k1 \
%make_build

%install
cd linux
%makeinstall
mkdir -p $RPM_BUILD_ROOT%_infodir
install -c -m644  doc/openal.info $RPM_BUILD_ROOT/%_infodir
cd $RPM_BUILD_ROOT%_libdir

ln -sf %name.so.%version %name.so.%lib_major
ln -sf %name.so.%lib_major %name.so

%post -n %name -p /sbin/ldconfig

%post -n %name-devel
%install_info openal.info

%preun -n %name-devel
%uninstall_info openal.info

%postun -n %name -p /sbin/ldconfig

%files -n %name
%_libdir/*.so.*

%files -n %name-devel
%_includedir/AL/*.h
%_libdir/*.so
%_infodir/openal.info.*

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Tue Dec 28 2004 Kachalov Anton <mouse@altlinux.ru> 0.0.7-alt2
- update to 2004 Sep snapshot

* Fri Apr 30 2004 Kachalov Anton <mouse@altlinux.ru> 0.0.7-alt1
- remove compilation with Arts, Esd
- update from CVS

* Wed Sep 17 2003 Kachalov Anton <mouse@altlinux.ru> 0.0.6-alt5
- update from CVS

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.0.6-alt4
- build requires fix

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.0.6-alt3
- Rebuilt in new environment

* Wed Jul 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.0.6-alt2
- Rebuilt with new OGG
- Last version from CVS

* Mon Mar 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.0.6-alt1
- First build for Sisyphus

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- added by Maksim Orlovich <mo002j@mail.rochester.edu> :
	- Fix the .so in the devel package.

* Sun Aug 05 2001 Maksim Orlovich <mo002j@mail.rochester.edu> 0.0.6-1mdk
-Initial Mandrake Package.
